XblCallRoutedHandler
A callback that receives notifications about HTTP service call attempts.Syntax
Parameters
args   _In_Type: XblServiceCallRoutedArgs Contains information about the HTTP call attempt. The fields are valid only until the callback returns. context   _In_opt_
Type: void* The caller context that was passed to XblAddServiceCallRoutedHandler when the handler was registered.
Return value
Type: voidRemarks
Register the callback by calling XblAddServiceCallRoutedHandler, and unregister it by passing the returned token to XblRemoveServiceCallRoutedHandler. You can use the callback to track intermittent failures, similar to a web debugging proxy such as Fiddler. The callback runs synchronously during libHttpClient request-attempt completion processing. It’s invoked for successful attempts and for attempts that are retried. The callback is registered with libHttpClient, so it isn’t limited to calls that the XBOX Services API (XSAPI) makes. The fields of args are valid only until the callback returns. Copy any string contents that you need before you return. To keep usingargs.call after the callback returns, duplicate the handle by calling HCHttpCallDuplicateHandle, and close the duplicate later by calling HCHttpCallCloseHandle.
The fullResponseFormatted string can include response headers and the response body. Don’t assume that the complete string is sanitized before you log or store it.
Argument of
XblAddServiceCallRoutedHandlerRequirements
Header: xbox_live_global_c.h Library: Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.libSee also
xbox_live_global_cXblServiceCallRoutedArgs
